## obs-stroke-glow-shadow 1.5.2

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(obs-stroke-glow-shadow VERSION 1.5.2)
set(PROJECT_FULL_NAME "Stroke Glow Shadow")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "e3e3b46c-5052-4739-8dfb-22806d02f0e2")
set(MACOS_INSTALLER_UUID "28bbaaeb-f93b-4d11-af82-5d9eaa745ee4")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/version.h)

target_sources(${PROJECT_NAME} PRIVATE
	src/anti-alias.c
	src/anti-alias.h
	src/glow.c
	src/glow.h
	src/obs-glow-filter.c
	src/obs-glow-filter.h
	src/obs-glow.h
	src/obs-stroke-filter.c
	src/obs-stroke-plugin.c
	src/obs-stroke-filter.h
	src/obs-stroke.h
	src/obs-utils.c
	src/obs-utils.h
	src/stroke.c
	src/stroke.h
	src/defines.h
	src/version.h
	src/blur/alpha-blur.c
	src/blur/alpha-blur.h
	src/blur/dual-kawase.c
	src/blur/dual-kawase.h)

if(BUILD_OUT_OF_TREE)
	find_package(libobs REQUIRED)
	include(cmake/ObsPluginHelpers.cmake)
endif()

if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE
		${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
elseif(OS_MACOS)
		set(MACOS_BUNDLEID "com.finitesingularity.${PROJECT_NAME}")
		set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
		set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
		set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
		configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
		target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

target_link_libraries(${PROJECT_NAME}
	OBS::libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
    endif()
    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
    install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale data/shaders
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
    setup_plugin_target(${PROJECT_NAME})
else()
    if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
        set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/finitesingularity" PREFIX "")
    else()
        set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/finitesingularity")
        setup_plugin_target(${PROJECT_NAME})
    endif()
endif()

=== debian/changelog ===
obs-stroke-glow-shadow (1.5.2-3) unstable; urgency=medium

  * debian/patches/020_add-pt-BR.patch: fixed typos.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Apr 2025 17:16:16 -0300

obs-stroke-glow-shadow (1.5.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Providing the README.md file from upstream and a plain text version
    of it. Consequently:
      - debian/control: added pandoc to Build-Depends field.
      - debian/docs: created to install README.md.
      - debian/rules: created the target execute_after_dh_installdocs to
        generate the plain text.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Apr 2025 00:01:39 -0300

obs-stroke-glow-shadow (1.5.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1101797)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 31 Mar 2025 23:14:59 -0300

=== debian/control ===
Source: obs-stroke-glow-shadow
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, pandoc
Standards-Version: 4.7.2
Homepage: https://obsproject.com/forum/resources/stroke-glow-shadow.1800/
Vcs-Browser: https://salsa.debian.org/debian/obs-stroke-glow-shadow
Vcs-Git: https://salsa.debian.org/debian/obs-stroke-glow-shadow.git

Package: obs-stroke-glow-shadow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio
Enhances: obs-studio
Description: plugin for OBS Studio to create strokes, glow and shadows
 This plugin offers an efficient way to apply Stroke, Glow and Shadow effects
 to masked sources in OBS. Is possible to use these effects on everything from
 a chroma-keyed facecam to a native OBS text source. All three effects allow
 for inner and outer applications. Additionally, all three effects offer
 options for solid color or another OBS source to be used for the fill type.
 Lastly, all three effects are available as both inline filters and as separate
 sources.
 .
 The stroke effect draws a line with user-definable stroke size and offset
 around the masked source.
 .
 The glow effect draws a feathered stroke with a user-defined size and
 intensity around the masked source.
 .
 The shadow effect draws an offset drop-shadow simulating a light causing the
 selected source to cast a shadow, giving the effect of the source floating off
 the canvas.

=== debian/watch ===
version=4
https://github.com/FiniteSingularity/obs-stroke-glow-shadow/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-stroke-glow-shadow 1.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(obs-stroke-glow-shadow VERSION 1.5.2)
+project(obs-stroke-glow-shadow VERSION 1.5.3)
 set(PROJECT_FULL_NAME "Stroke Glow Shadow")
 
 # Set new UUIDs when you start to create a new plugin.

=== debian/changelog ===
obs-stroke-glow-shadow (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_change-project-name.patch: updated to make it compliant
    with the new upstream version.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 12 Feb 2026 18:02:49 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: obs-stroke-glow-shadow
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, pandoc
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/stroke-glow-shadow.1800/
 Vcs-Browser: https://salsa.debian.org/debian/obs-stroke-glow-shadow
 Vcs-Git: https://salsa.debian.org/debian/obs-stroke-glow-shadow.git

=== debian/watch ===
Version: 5

Template: Github
Owner: FiniteSingularity
Project: obs-stroke-glow-shadow
